gmp_create_task_opts_t Struct Reference

Struct holding options for gmp create_task command. More...

`#include <gmp.h>`

## Data Fields

array_t * | alert_ids
| Array of alert IDs. More...
const char * | config_id
| ID of config. More...
const char * | scanner_id
| ID of task scanner. More...
const char * | schedule_id
| ID of task schedule. More...
const char * | slave_id
| ID of task schedule. More...
const char * | target_id
| ID of target. More...
const char * | name
| Name of task. More...
const char * | comment
| Comment on task. More...
const char * | hosts_ordering
| Order for scanning target hosts. More...
const char * | observers
| Comma-separated string of observer users. More...
array_t * | observer_groups
| IDs of observer groups. More...
int | schedule_periods
| Number of periods the schedule must run for. More...
const char * | in_assets
| In assets preference. More...
const char * | max_hosts
| Max hosts preference. More...
const char * | max_checks
| Max checks preference. More...
const char * | source_iface
| Source iface preference. More...
int | alterable
| Whether the task is alterable. More...

## Detailed Description

Struct holding options for gmp create_task command.

## Field Documentation

## alert_ids

array_t* gmp_create_task_opts_t::alert_ids

Array of alert IDs.

## alterable

int gmp_create_task_opts_t::alterable

Whether the task is alterable.

## comment

const char* gmp_create_task_opts_t::comment

Comment on task.

## config_id

const char* gmp_create_task_opts_t::config_id

ID of config.

## hosts_ordering

const char* gmp_create_task_opts_t::hosts_ordering

Order for scanning target hosts.

## in_assets

const char* gmp_create_task_opts_t::in_assets

In assets preference.

## max_checks

const char* gmp_create_task_opts_t::max_checks

Max checks preference.

## max_hosts

const char* gmp_create_task_opts_t::max_hosts

Max hosts preference.

## name

const char* gmp_create_task_opts_t::name

Name of task.

## observer_groups

array_t* gmp_create_task_opts_t::observer_groups

IDs of observer groups.

## observers

const char* gmp_create_task_opts_t::observers

Comma-separated string of observer users.

## scanner_id

const char* gmp_create_task_opts_t::scanner_id

ID of task scanner.

## schedule_id

const char* gmp_create_task_opts_t::schedule_id

ID of task schedule.

## schedule_periods

int gmp_create_task_opts_t::schedule_periods

Number of periods the schedule must run for.

## slave_id

const char* gmp_create_task_opts_t::slave_id

ID of task schedule.

## source_iface

const char* gmp_create_task_opts_t::source_iface

Source iface preference.

## target_id

const char* gmp_create_task_opts_t::target_id

ID of target.

The documentation for this struct was generated from the following file:

- gmp/gmp.h